跳转到内容

MMAudio V2 Text to Audio

集成

模型 id mmaudio-v2/text-to-audio
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/mmaudio-v2/text-to-audio?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: $0.008 8 API 积分 · ≈ ₽0.86 在此页面运行

获取 API 密钥
Sony AI 音频 1–30 秒 #audio#fast

根据提示词生成声音的文本转音频,支持调整步数、引导强度和时长

Sony AI · 音频

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填

描述要创建的音频的提示词。

默认 8

生成音频的长度。

高级 negative_prompt · num_steps · cfg_strength · seed · mask_away_clip
默认

指定音频生成过程中要排除内容的负面提示词。

默认 25

音频生成使用的步数。

默认 4.5

Classifier Free Guidance 强度。

随机数生成器使用的种子值。

POST /run/mmaudio-v2/text-to-audio?wait=20 报价 → $0.008
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/mmaudio-v2/text-to-audio?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 MMAudio V2 Text to Audio

根据文本 `prompt` 生成音频,并使用 `negative_prompt` 避开指定声音。`duration` 为 1 到 30 秒(默认 8),`num_steps` 为 4 到 50(默认 25),`cfg_strength` 为 0 到 20(默认 4.5)。0 到 65535 之间的 `seed` 可使结果可复现。

参数

名称类型 默认值允许值 描述
prompt必填
类型string
描述要创建的音频的提示词。
negative_prompt可选
类型string
默认值
指定音频生成过程中要排除内容的负面提示词。
seed可选
类型integer | null
0 – 65,535
随机数生成器使用的种子值。
num_steps可选
类型integer
默认值25
4 – 50
音频生成使用的步数。
duration可选
类型number
默认值8
1 – 30
生成音频的长度。
cfg_strength可选
类型number
默认值4.5
0 – 20
Classifier Free Guidance 强度。
mask_away_clip可选
类型boolean
默认值false
控制是否将片段遮蔽。
必填

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "mmaudio-v2/text-to-audio",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 8,
    "usd": "0.008",
    "charged": 8,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
audio
object {url, content_type, file_name, file_size}模型生成的音频。

更多模型:音频

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/mmaudio-v2/text-to-audio.md. 所有模型和指南: https://doitong.com/developers/llms.txt